For the complete documentation index, see llms.txt. This page is also available as Markdown.

User account data

get

Retrieves user account data from the lending pool.

Authorizations
AuthorizationstringRequired
Query parameters
addressstringRequired
  • The address of the lending pool.
chainIdstringRequired
  • The chain ID of the blockchain network.
userstringRequired
  • The user address for which to retrieve account data.
Header parameters
AuthorizationstringRequired
  • The authorization token from the request header.
Responses
200

A promise that resolves to a LendingPoolAPIResponse containing the user account data.

application/json

Represents the structure of the API response for the Lending Pool.

successbooleanRequired

Indicates whether the API request was successful.

messagestringRequired

Provides a message related to the API response.

dataanyOptional

Contains the data returned by the API, if any.

get
/lending-pool/user-account-data
200

A promise that resolves to a LendingPoolAPIResponse containing the user account data.